Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - t -

- t0 : Lucene::TimeLimitingCollector
- TeeSinkTokenFilter() : Lucene::TeeSinkTokenFilter
- Temporary : Lucene::LuceneException
- tenum : Lucene::MultiTermDocs
- term() : Lucene::FilteredTermEnum , Lucene::FilterTermEnum , Lucene::FuzzyQuery , Lucene::MultiTermDocs , Lucene::MultiTermEnum
- TERM : Lucene::QueryParserConstants
- term : Lucene::SegmentMergeInfo , Lucene::SegmentTermEnum , Lucene::SpanTermQuery
- Term() : Lucene::Term
- term() : Lucene::TermAttribute , Lucene::TermBuffer , Lucene::TermEnum , Lucene::TermQuery , Lucene::TermSpans , Lucene::TermVectorEntry , Lucene::Token , Lucene::WildcardQuery
- TERM_VECTOR_NO : Lucene::AbstractField
- TERM_VECTOR_WITH_OFFSETS : Lucene::AbstractField
- TERM_VECTOR_WITH_POSITIONS : Lucene::AbstractField
- TERM_VECTOR_WITH_POSITIONS_OFFSETS : Lucene::AbstractField
- TERM_VECTOR_YES : Lucene::AbstractField
- termArrays : Lucene::MultiPhraseQuery
- termArraysEquals() : Lucene::MultiPhraseQuery
- termArraysHashCode() : Lucene::MultiPhraseQuery
- termAtt : Lucene::ASCIIFoldingFilter , Lucene::CharTokenizer , Lucene::ISOLatin1AccentFilter , Lucene::KeywordTokenizer , Lucene::LengthFilter , Lucene::LowerCaseFilter , Lucene::NumericTokenStream , Lucene::PorterStemFilter , Lucene::StandardFilter , Lucene::StandardTokenizer , Lucene::StopFilter , Lucene::TermsHashPerField
- termAttribute : Lucene::SingleTokenAttributeSource
- TermAttribute() : Lucene::TermAttribute
- termBuffer : Lucene::FormatPostingsTermsConsumer , Lucene::SegmentTermEnum , Lucene::TermAttribute
- TermBuffer() : Lucene::TermBuffer
- termBuffer() : Lucene::Token
- termBufferArray() : Lucene::TermAttribute , Lucene::Token
- termCompare() : Lucene::FilteredTermEnum , Lucene::FuzzyTermEnum , Lucene::PrefixTermEnum , Lucene::SingleTermEnum , Lucene::TermRangeTermEnum , Lucene::WildcardTermEnum
- termContainsWildcard : Lucene::WildcardQuery
- termCount : Lucene::TermIndexStatus
- termCountCutoff : Lucene::ConstantScoreAutoRewrite
- termDocs() : Lucene::DirectoryReader , Lucene::FilterIndexReader , Lucene::IndexReader , Lucene::MultiReader , Lucene::MultiTermDocs , Lucene::MultiTermPositions , Lucene::ParallelReader , Lucene::SegmentReader
- TermDocs() : Lucene::TermDocs
- termDocs : Lucene::TermScorer
- termEnum : Lucene::SegmentMergeInfo , Lucene::TermInfosReaderThreadResources
- termFreq : Lucene::FreqProxFieldMergeState
- termFreqs : Lucene::ParallelArrayTermVectorMapper , Lucene::QueryTermVector , Lucene::SegmentTermVector
- TermFreqVector() : Lucene::TermFreqVector
- termIndexInterval : Lucene::IndexWriter , Lucene::SegmentMerger , Lucene::SegmentWriteState
- termIndexStatus : Lucene::SegmentInfoStatus
- TermIndexStatus() : Lucene::TermIndexStatus
- termInfo : Lucene::FormatPostingsDocsWriter , Lucene::SegmentTermEnum
- TermInfo() : Lucene::TermInfo
- termInfoCache : Lucene::TermInfosReaderThreadResources
- termInfosIndexDivisor : Lucene::DirectoryReader
- TermInfosReader() : Lucene::TermInfosReader
- TermInfosWriter() : Lucene::TermInfosWriter
- termIsPrefix : Lucene::WildcardQuery
- termLength() : Lucene::TermAttribute , Lucene::Token
- termLongEnough : Lucene::FuzzyQuery
- termPositions() : Lucene::DirectoryReader , Lucene::FilterIndexReader , Lucene::IndexReader , Lucene::MultiReader , Lucene::ParallelReader , Lucene::SegmentReader
- TermPositions() : Lucene::TermPositions
- termPositionsDiffer() : Lucene::SloppyPhraseScorer
- termPositionsQueue : Lucene::MultipleTermPositions
- TermPositionVector() : Lucene::TermPositionVector
- TermQuery() : Lucene::TermQuery
- TermRangeFilter() : Lucene::TermRangeFilter
- TermRangeQuery() : Lucene::TermRangeQuery
- TermRangeTermEnum() : Lucene::TermRangeTermEnum
- terms : Lucene::BufferedDeletes , Lucene::DirectoryReader , Lucene::FieldCacheTermsFilter , Lucene::FilterIndexReader , Lucene::IndexReader , Lucene::MultiReader , Lucene::ParallelArrayTermVectorMapper , Lucene::ParallelReader , Lucene::PhraseQuery , Lucene::QueryTermVector , Lucene::SegmentReader , Lucene::SegmentTermVector , Lucene::SpanWeight , Lucene::TermInfosReader , Lucene::TermVectorsPositionInfo
- TERMS_EXTENSION() : Lucene::IndexFileNames
- TERMS_INDEX_EXTENSION() : Lucene::IndexFileNames
- TermScorer() : Lucene::TermScorer
- TermsHash() : Lucene::TermsHash
- TermsHashPerField() : Lucene::TermsHashPerField
- TermsHashPerThread() : Lucene::TermsHashPerThread
- termsIndexLoaded() : Lucene::SegmentReader
- termsOut : Lucene::FormatPostingsFieldsWriter , Lucene::FormatPostingsTermsWriter
- TermSpans() : Lucene::TermSpans
- termsWriter : Lucene::FormatPostingsFieldsWriter
- termToTVE : Lucene::SortedTermVectorMapper
- TermVector : Lucene::AbstractField
- TermVectorEntry() : Lucene::TermVectorEntry
- TermVectorMapper() : Lucene::TermVectorMapper
- TermVectorOffsetInfo() : Lucene::TermVectorOffsetInfo
- termVectorsLocal : Lucene::SegmentReader
- TermVectorsPositionInfo() : Lucene::TermVectorsPositionInfo
- TermVectorsReader() : Lucene::TermVectorsReader
- termVectorStatus : Lucene::SegmentInfoStatus
- TermVectorStatus() : Lucene::TermVectorStatus
- TermVectorsTermsWriter() : Lucene::TermVectorsTermsWriter
- TermVectorsTermsWriterPerDoc() : Lucene::TermVectorsTermsWriterPerDoc
- TermVectorsTermsWriterPerField() : Lucene::TermVectorsTermsWriterPerField
- TermVectorsTermsWriterPerThread() : Lucene::TermVectorsTermsWriterPerThread
- TermVectorsTermsWriterPostingList() : Lucene::TermVectorsTermsWriterPostingList
- termVectorsWriter : Lucene::TermVectorsTermsWriter
- TermVectorsWriter() : Lucene::TermVectorsWriter
- testAsserts() : Lucene::CheckIndex
- testFieldNorms() : Lucene::CheckIndex
- testMethods : Lucene::TestPoint
- testPoint() : Lucene::DocState , Lucene::IndexWriter
- TestScope() : Lucene::TestScope
- testStoredFields() : Lucene::CheckIndex
- testTermIndex() : Lucene::CheckIndex
- testTermVectors() : Lucene::CheckIndex
- text : Lucene::FreqProxFieldMergeState , Lucene::FuzzyTermEnum , Lucene::Term , Lucene::TermBuffer , Lucene::WildcardTermEnum
- textOffset : Lucene::FreqProxFieldMergeState
- textStart : Lucene::RawPostingList
- tf() : Lucene::DefaultSimilarity , Lucene::Similarity , Lucene::SimilarityDelegator
- theMap : Lucene::MapOfSets< MAPKEY, MAPHASH, MAPEQUAL, SETVALUE, SETHASH, SETEQUAL >
- this_type : Lucene::Array< TYPE > , Lucene::Collection< TYPE > , Lucene::HashMap< KEY, VALUE, HASH, EQUAL > , Lucene::HashSet< TYPE, HASH, EQUAL > , Lucene::Map< KEY, VALUE, LESS > , Lucene::Set< TYPE, LESS > , Lucene::WeakHashMap< KEY, VALUE, HASH, EQUAL >
- thread : Lucene::LuceneThread
- threadBindings : Lucene::DocumentsWriter
- threadGroup : Lucene::ThreadPool
- ThreadPool() : Lucene::ThreadPool
- THREADPOOL_SIZE : Lucene::ThreadPool
- threadResources : Lucene::TermInfosReader
- threadSleep() : Lucene::LuceneThread
- threadStates : Lucene::DocumentsWriter
- threadYield() : Lucene::LuceneThread
- throwException() : Lucene::LuceneException
- tieBreakerMultiplier : Lucene::DisjunctionMaxQuery , Lucene::DisjunctionMaxScorer
- TimeExceeded : Lucene::LuceneException
- TimeLimitingCollector() : Lucene::TimeLimitingCollector
- timeout : Lucene::TimeLimitingCollector
- TIMER_THREAD() : Lucene::TimeLimitingCollector
- timeToFlushDeletes() : Lucene::DocumentsWriter
- timeToString() : Lucene::DateField , Lucene::DateTools
- tmpPos : Lucene::SloppyPhraseScorer
- toByteArray() : Lucene::Payload
- toDouble() : Lucene::StringUtils
- toHtml() : Lucene::Explanation
- toIndex() : Lucene::Field
- toInt() : Lucene::StringUtils
- token : Lucene::QueryParser
- Token() : Lucene::Token
- TOKEN_ATTRIBUTE_FACTORY() : Lucene::Token
- token_source : Lucene::QueryParser
- TOKEN_TYPE_FULL_PREC() : Lucene::NumericTokenStream
- TOKEN_TYPE_LOWER_PREC() : Lucene::NumericTokenStream
- TOKEN_TYPES() : Lucene::StandardTokenizer
- TokenAttributeFactory() : Lucene::TokenAttributeFactory
- TokenFilter() : Lucene::TokenFilter
- tokenImage : Lucene::QueryParserConstants
- Tokenizer() : Lucene::Tokenizer
- tokenStart : Lucene::FastCharStream
- tokenStream : Lucene::AbstractField , Lucene::Analyzer , Lucene::KeywordAnalyzer , Lucene::NumericField , Lucene::PerFieldAnalyzerWrapper , Lucene::SimpleAnalyzer , Lucene::StandardAnalyzer , Lucene::StopAnalyzer
- TokenStream() : Lucene::TokenStream
- tokenStream() : Lucene::WhitespaceAnalyzer
- tokenStreams : Lucene::Analyzer
- tokenStreamValue() : Lucene::Field , Lucene::Fieldable , Lucene::LazyField , Lucene::NumericField
- toLong() : Lucene::StringUtils
- toLower() : Lucene::CharFolder , Lucene::StringUtils , Lucene::UnicodeUtil
- toMB() : Lucene::DocumentsWriter
- toNonExcluded() : Lucene::ReqExclScorer
- toolOutOfDate : Lucene::IndexStatus
- TooManyClauses : Lucene::LuceneException
- top() : Lucene::HitQueueBase , Lucene::PriorityQueue< TYPE > , Lucene::ScorerDocQueue
- topDoc() : Lucene::ScorerDocQueue
- TopDocs() : Lucene::TopDocs
- topDocs() : Lucene::TopDocsCollector
- TopDocsCollector() : Lucene::TopDocsCollector
- TopFieldCollector() : Lucene::TopFieldCollector
- TopFieldDocs() : Lucene::TopFieldDocs
- topHSD : Lucene::ScorerDocQueue
- TopLevelQuery() : Lucene::QueryParser
- topNextAndAdjustElsePop() : Lucene::ScorerDocQueue
- topScore() : Lucene::ScorerDocQueue
- TopScoreDocCollector() : Lucene::TopScoreDocCollector
- topSkipToAndAdjustElsePop() : Lucene::ScorerDocQueue
- toRead : Lucene::LazyField
- toSameDoc() : Lucene::NearSpansOrdered
- toString() : Lucene::AbstractField , Lucene::AttributeSource , Lucene::BooleanClause , Lucene::BooleanQuery , Lucene::BooleanScorer , Lucene::CachingSpanFilter , Lucene::CachingWrapperFilter , Lucene::CommitPoint , Lucene::ConstantScoreQuery , Lucene::CustomScoreQuery , Lucene::Directory , Lucene::DisjunctionMaxQuery , Lucene::Document , Lucene::DocValues , Lucene::DoubleDocValues , Lucene::Explanation , Lucene::FieldCacheEntry , Lucene::FieldCacheRangeFilter , Lucene::FieldDoc , Lucene::FieldMaskingSpanQuery , Lucene::FieldValueHitQueueEntry , Lucene::FilteredQuery , Lucene::FlagsAttribute , Lucene::FSDirectory , Lucene::FuzzyQuery , Lucene::Insanity , Lucene::LuceneObject , Lucene::MatchAllDocsQuery , Lucene::MultiPhraseQuery , Lucene::MultiTermQueryWrapperFilter , Lucene::NearSpansOrdered , Lucene::NearSpansUnordered , Lucene::NumericRangeQuery , Lucene::NumericTokenStream , Lucene::OffsetAttribute , Lucene::PayloadAttribute , Lucene::PayloadNearQuery , Lucene::PerFieldAnalyzerWrapper , Lucene::PhraseQuery , Lucene::PhraseScorer , Lucene::PositionIncrementAttribute , Lucene::PrefixFilter , Lucene::PrefixQuery , Lucene::Query , Lucene::QueryParserToken , Lucene::QueryTermVector , Lucene::QueryWrapperFilter , Lucene::ReaderCommit , Lucene::ScoreDoc , Lucene::SegmentTermVector , Lucene::Sort , Lucene::SortField , Lucene::SpanFirstQuery , Lucene::SpanNearQuery , Lucene::SpanNotQuery , Lucene::SpanOrQuery , Lucene::SpanQueryFilter , Lucene::SpanTermQuery , Lucene::StringUtils , Lucene::Term , Lucene::TermAttribute , Lucene::TermQuery , Lucene::TermRangeQuery , Lucene::TermScorer , Lucene::TermSpans , Lucene::TermVectorEntry , Lucene::Token , Lucene::TypeAttribute , Lucene::ValueSource , Lucene::ValueSourceQuery , Lucene::WildcardQuery
- totalFieldCount : Lucene::DocFieldProcessorPerThread
- totalHits : Lucene::TopDocs , Lucene::TopDocsCollector
- totalIndexInterval : Lucene::TermInfosReader
- totalLength : Lucene::NearSpansUnordered
- totalNumDocs : Lucene::FormatPostingsDocsWriter , Lucene::FormatPostingsFieldsWriter
- toTerm() : Lucene::TermBuffer
- toTermVector() : Lucene::Field
- totFields : Lucene::FieldNormStatus , Lucene::StoredFieldStatus
- totFreq : Lucene::TermIndexStatus
- totLoseDocCount : Lucene::IndexStatus
- totPos : Lucene::TermIndexStatus
- totVectors : Lucene::TermVectorStatus
- touchFile() : Lucene::CompoundFileReader , Lucene::Directory , Lucene::FileSwitchDirectory , Lucene::FSDirectory , Lucene::RAMDirectory
- toUnicode() : Lucene::StringUtils
- toUpper() : Lucene::CharFolder , Lucene::StringUtils , Lucene::UnicodeUtil
- toUTF8() : Lucene::StringUtils
- tp : Lucene::PhrasePositions
- trackAllocations : Lucene::ByteBlockPool , Lucene::IntBlockPool , Lucene::TermsHash
- TRAIL_SURROGATE_MAX : Lucene::UTF8Base
- TRAIL_SURROGATE_MIN : Lucene::UTF8Base
- TranslationResult() : Lucene::TranslationResult< TYPE >
- trimFields() : Lucene::DocFieldProcessorPerThread
- trimTrailingZeros() : Lucene::OpenBitSet
- tvd : Lucene::TermVectorsReader , Lucene::TermVectorsTermsWriter , Lucene::TermVectorsWriter
- tvf : Lucene::TermVectorsReader , Lucene::TermVectorsTermsWriter , Lucene::TermVectorsWriter
- tvx : Lucene::TermVectorsReader , Lucene::TermVectorsTermsWriter , Lucene::TermVectorsWriter
- two : Lucene::DocFieldConsumers , Lucene::DocFieldConsumersPerDoc , Lucene::DocFieldConsumersPerField , Lucene::DocFieldConsumersPerThread , Lucene::DocFieldProcessorPerThreadPerDoc
- Type : Lucene::FieldScoreQuery
- type : Lucene::Insanity , Lucene::LuceneException , Lucene::SortField , Lucene::Token , Lucene::TypeAttribute
- typeAtt : Lucene::NumericTokenStream , Lucene::StandardFilter , Lucene::StandardTokenizer
- TypeAttribute() : Lucene::TypeAttribute
- typeOf() : Lucene::MiscUtils , Lucene::VariantUtils

clucene.sourceforge.net